me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats

## Class ControllingSeat

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats.Seat
    - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats.ControllingSeat

Direct Known Subclasses:
  BikeSeat, TurretSeat

    public class ControllingSeat
    extends Seat

### Constructor Summary

Constructors
Constructor and Description
`ControllingSeat()`
`ControllingSeat(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset)`
`ControllingSeat(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, java.lang.Boolean steer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleInput(MovementInput input)`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.seats.Seat

`enter, getOccupied, getPassenger, getSteer, setOccupied, setSteer, spawnStand`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

`applyExtraOffset, despawnStand, getHolder, getIsCustomPlaced, getOwningVehicle, getUID, getXOffset, getYOffset, getZOffset, setHolder, setIsCustomPlaced, setOwningVehicle, setUID, setXOffset, setYOffset, setZOffset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControllingSeat

    public ControllingSeat(java.lang.Double xOffset,
                           java.lang.Double yOffset,
                           java.lang.Double zOffset)

#### ControllingSeat

    public ControllingSeat(java.lang.Double xOffset,
                           java.lang.Double yOffset,
                           java.lang.Double zOffset,
                           java.lang.Boolean steer)

#### ControllingSeat

    public ControllingSeat()

### Method Detail

#### handleInput

    public void handleInput(MovementInput input)